package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TUserInspect;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author zehong
 * @date 2023-11-08
 */
public interface TUserInspectMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TUserInspect selectTUserInspectById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TUserInspect> selectTUserInspectList(TUserInspect tUserInspect);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 结果
     */
    public int insertTUserInspect(TUserInspect tUserInspect);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 结果
     */
    public int updateTUserInspect(TUserInspect tUserInspect);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTUserInspectById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTUserInspectByIds(Long[] ids);

    public TUserInspect selectBytaskIdReceiveId(@Param("taskId") Long taskId,@Param("userId") Long userId);
}
